import { Options } from "./options";
export default interface Logger {
    info(message: any): void;
    error(message: any, ...optionalParameters: any[]): void;
    debug(message: any): void;
}
export declare class ConsoleLogger implements Logger {
    options: Options;
    constructor(options: Options);
    info(message: any): void;
    debug(message: any): void;
    error(message: any, ...optionalParameters: any[]): void;
    formatMessage(message: any, level: string): string;
}
export declare class NoopLogger implements Logger {
    debug(message: any): void;
    error(message: any, ...optionalParameters: any[]): void;
    info(message: any): void;
}
declare const logger: {
    log: NoopLogger;
};
declare function initializeLogger(options: Options): void;
export { logger, initializeLogger };
